#ifndef __JABYENGINE_OVERLAY__HPP__
#define __JABYENGINE_OVERLAY__HPP__
#include "../../stdint.h"

namespace JabyEngine {
    struct __attribute__((packed)) OverlayHeader {
        void   (*execute)();
        uint16_t lba_size; //< The size of the OverlayLBA section
    };

    // Maybe encode attributes like "isLZ4" into size parameter
    struct __attribute__((packed)) OverlayLBA {
        uint16_t lba;
        uint16_t size_words;
    };
}
#endif //!__JABYENGINE_OVERLAY__HPP__